<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.modules</groupId>
        <artifactId>uniform-service</artifactId>
        <version>1.10.1</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <groupId>ru.entaxy.esb.platform.runtime.modules.uniform.service</groupId>
    <artifactId>connector</artifactId>
    <packaging>bundle</packaging>

    <name>ENTAXY :: PLATFORM :: RUNTIME :: MODULES :: UNIFORM :: SERVICE :: CONNECTOR</name>
    <description>ENTAXY :: PLATFORM :: RUNTIME :: MODULES :: UNIFORM :: SERVICE :: CONNECTOR</description>

    <properties>
        <bundle.osgi.export.pkg>
            template
        </bundle.osgi.export.pkg>
        <bundle.osgi.import.pkg>
            javax.xml.soap*;version="[1.3,2)",
            javax.jws.*;version="[2.0.0,3.0.0)",
            javax.jws.soap.*;version="[2.0.0,3.0.0)",
            javax.xml.ws.*;version="[2.2.0,3.0.0)",
            !com.sun.xml.*,
            ru.entaxy.esb.system.common.aggregation,
            ru.entaxy.esb.system.core.common.error.handler.interceptor,
<!--            ru.entaxy.esb.system.core.template,-->
<!--            ru.entaxy.esb.system.profile.commons,-->
<!--            ru.entaxy.esb.system.profile.commons.connectors.in,-->
<!--            ru.entaxy.esb.system.profile.commons.connectors.out,-->
            javax.xml.bind;version="[2,3)",
            javax.xml.bind.annotation;version="[2,3)",
            javassist.util.proxy,
            org.apache.commons.lang3,
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>xerces</groupId>
            <artifactId>xercesImpl</artifactId>
            <version>${xerces.version}</version>
        </dependency>
        
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
            <artifactId>core-support-runtime-legacy</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>

		<dependency>
			<groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations.profile-implementation</groupId>
			<artifactId>profile-runtime-legacy-support</artifactId>
			<version>${project.version}</version>
		</dependency>

        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>osgi.core</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-transports-http</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-transports-http-jetty</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>${commons-lang3.version}</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <version>${maven-bundle-plugin.version}</version>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                        <Entaxy-Factory-Provider>true</Entaxy-Factory-Provider>
                        <Entaxy-Resource-Provider>true</Entaxy-Resource-Provider>
                        <Entaxy-Template-Provider>true</Entaxy-Template-Provider>
                    </instructions>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>
